=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2011-08-16 14:07:34 +0000
+++ bzrlib/bzrdir.py	2011-08-17 09:27:29 +0000
@@ -634,10 +634,9 @@
             old_path = self.root_transport.abspath('.bzr')
             backup_dir = self._available_backup_name('backup.bzr')
             new_path = self.root_transport.abspath(backup_dir)
-            ui_encoding = osutils.get_terminal_encoding()
             ui.ui_factory.note('making backup of %s\n  to %s' % (
-                urlutils.unescape_for_display(old_path, ui_encoding),
-                urlutils.unescape_for_display(new_path, ui_encoding)))
+                urlutils.unescape_for_display(old_path, 'utf-8'),
+                urlutils.unescape_for_display(new_path, 'utf-8')))
             self.root_transport.copy_tree('.bzr', backup_dir)
             return (old_path, new_path)
         finally:

=== modified file 'bzrlib/tests/blackbox/test_upgrade.py'
--- bzrlib/tests/blackbox/test_upgrade.py	2011-08-16 14:07:34 +0000
+++ bzrlib/tests/blackbox/test_upgrade.py	2011-08-17 09:27:29 +0000
@@ -22,7 +22,6 @@
     bzrdir,
     controldir,
     lockable_files,
-    osutils,
     ui,
     urlutils,
     )
@@ -261,7 +260,7 @@
         t = self.get_transport()
         url = t.base
         display_url = urlutils.unescape_for_display(url,
-            osutils.get_terminal_encoding())
+            'utf-8')
         out, err = self.run_bzr(['upgrade', '--format=2a', url])
         backup_dir = 'backup.bzr.~1~'
         self.assertEqualDiff("""Upgrading branch %s ...

=== modified file 'bzrlib/upgrade.py'
--- bzrlib/upgrade.py	2011-08-16 14:07:34 +0000
+++ bzrlib/upgrade.py	2011-08-17 09:27:29 +0000
@@ -19,7 +19,6 @@
 
 from bzrlib import (
     errors,
-    osutils,
     trace,
     ui,
     urlutils,
@@ -75,7 +74,7 @@
                 ui.ui_factory.note(
                     'This is a checkout. The branch (%s) needs to be upgraded'
                     ' separately.' % (urlutils.unescape_for_display(
-                        branch.user_url, osutils.get_terminal_encoding())))
+                        branch.user_url, 'utf-8')))
             del branch
         except (errors.NotBranchError, errors.IncompatibleRepositories):
             # might not be a format we can open without upgrading; see e.g.
@@ -100,8 +99,7 @@
                            self.bzrdir._format)
         self.bzrdir.check_conversion_target(format)
         ui.ui_factory.note('starting upgrade of %s' % 
-            urlutils.unescape_for_display(self.transport.base,
-                osutils.get_terminal_encoding()))
+            urlutils.unescape_for_display(self.transport.base, 'utf-8'))
 
         self.backup_oldpath, self.backup_newpath = self.bzrdir.backup_bzrdir()
         while self.bzrdir.needs_format_conversion(format):
@@ -280,7 +278,7 @@
         type_label = label or bzr_label
         child_pb.update("Upgrading %s" % (type_label), i+1, len(items))
         ui.ui_factory.note('Upgrading %s %s ...' % (type_label, 
-            urlutils.unescape_for_display(location, osutils.get_terminal_encoding(),)))
+            urlutils.unescape_for_display(location, 'utf-8'),))
         try:
             if not dry_run:
                 cv = Convert(control_dir=control_dir, format=format)

